# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-mobilephone/gammu/gammu-1.29.0.ebuild,v 1.1 2011/04/10 16:24:03 fauli Exp $

EAPI="3"

inherit eutils cmake-utils

DESCRIPTION="web toolkit"
HOMEPAGE="http://www.webtoolkit.eu/"
SRC_URI="ftp://streamco.org.ua/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"

DEPEND="dev-libs/boost
	dev-util/cmake"

CMAKE_IN_SOURCE_BUILD=1

src_unpack() {
	unpack ${A}

        cd "${S}"
	epatch "${FILESDIR}"/patch-CMakeLists.txt.diff
	epatch "${FILESDIR}"/patch-src.diff
	epatch "${FILESDIR}"/patch-wt_config.xml.diff
}

src_configure() {
	CMAKE_BUILD_TYPE="Debug"
	cmake-utils_src_configure
}

src_compile() {
	cmake-utils_src_compile
}

src_install() {
	cmake-utils_src_install
	if [ ! -d /var/run/wt ]; then mkdir /var/run/wt; chmod 777 /var/run/wt; fi
}
